Bug 1375134 - Navigation bar can not roll down when user zoom in till it cross over the screen boundary
Summary: Navigation bar can not roll down when user zoom in till it cross over the scr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 3.7.0
Assignee: Steve Goodwin
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-12 09:08 UTC by XiaochuanWang
Modified: 2017-11-28 21:51 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The left navigation column did not support vertical scrolling. Consequence: When browser viewport is less than 440 pixels tall and wider than 768 pixels the bottom left navigation link was not accessible. Fix: The new left navigation column markup supports vertical scrolling. Result: All left navigation links are accessible at all browser viewport sizes and zoom levels.
Clone Of:
Environment:
Last Closed: 2017-11-28 21:51:43 UTC
Target Upstream Version:


Attachments (Terms of Use)
zoom-in-lost-bottom (128.91 KB, image/png)
2016-09-12 09:08 UTC, XiaochuanWang
no flags Details
zoom-in_lost_navigator (100.96 KB, image/png)
2016-09-12 09:09 UTC, XiaochuanWang
no flags Details
left navigation menu bar can not scroll (36.13 KB, image/png)
2017-01-22 05:43 UTC, XiaochuanWang
no flags Details
Vertical nav bar (56.19 KB, image/png)
2017-09-08 14:25 UTC, Steve Goodwin
no flags Details
left scroll bar works (24.04 KB, image/png)
2017-10-09 05:57 UTC, XiaochuanWang
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3188 normal SHIPPED_LIVE Moderate: Red Hat OpenShift Container Platform 3.7 security, bug, and enhancement update 2017-11-29 02:34:54 UTC

Description XiaochuanWang 2016-09-12 09:08:37 UTC
Created attachment 1200110 [details]
zoom-in-lost-bottom

Description of problem:
Login openshift, zoom in till the navigation bar is cross over the screen boundary. The last item "monitoring" can not be reached. (Please refer to screenshot.) 
Reproduced on  browsers:  Firefox48, Chrome52, EDGE25/IE11. 
Not reproduced on Safari.
 

Version-Release number of selected component (if applicable):
3.3.0.30

How reproducible:
Always

Steps to Reproduce:
1. Login openshift
2. Zoom in till for several times till the navigation bar is cross over the screen boundary
3.

Actual results:
The last item "monitoring" can not be reached.

Expected results:
The left bar should have the rolling bar.

Additional info:
User may often use zoom in on small-screen laptop.

Comment 1 XiaochuanWang 2016-09-12 09:09:38 UTC
Created attachment 1200111 [details]
zoom-in_lost_navigator

Comment 2 Jessica Forrester 2016-09-12 13:13:45 UTC
@rhamilto anything we can do about this?

Comment 3 Robb Hamilton 2016-09-12 13:56:41 UTC
In tinkering with it, I don't see an immediate fix that retains the scrolling behavior we've established for the inner page contents.  Simply making the left sidebar scrollable vertically means the dropdown menus aren't visible (they are positioned outside the width of the sidebar).  :/

Comment 4 Robb Hamilton 2016-12-12 15:28:14 UTC
This was fixed by https://github.com/openshift/origin-web-console/pull/663.

Comment 5 Troy Dawson 2017-01-20 23:26:15 UTC
This has been merged into ocp and is in OCP v3.5.0.7 or newer.

Comment 6 XiaochuanWang 2017-01-22 05:43:12 UTC
Created attachment 1243284 [details]
left navigation menu bar can not scroll

Comment 7 XiaochuanWang 2017-01-22 05:54:12 UTC
Not seen the scroll bar as PR https://github.com/openshift/origin-web-console/pull/663 on Chrome 52 and Firefox 45, also menu navigator tree is not like the screenshot in PR, please see the screenshot in the new attachment "left navigation menu bar can not scroll"

Tested on openshift v3.5.0.7

Comment 8 Robb Hamilton 2017-03-06 21:26:06 UTC
The screenshot in https://github.com/openshift/origin-web-console/pull/663#issue-182559002 documents the fix included the PR.  The second screenshot [1] in the PR is a hypothetical fix that is not included in the PR.  

Please note the bug only exists under the following conditions:

| Zoom level | Viewport height | Viewport width |
| ---------- | --------------- | -------------- |
| 0          | <= 440px        | >= 768px       |
| 1          | <= 484px        | >= 844px       |
| 2          | <= 552px        | >= 960px       |

We will likely need to unfix the left navbar to ensure this bug never happens given the left navbar is configurable.

[1] https://github.com/openshift/origin-web-console/pull/663#issuecomment-253257346

Comment 9 Robb Hamilton 2017-08-16 12:54:03 UTC
Since Steve has been working on the nav changes for 3.7 that will address this bug, I'm reassigning it to him.

Comment 10 Steve Goodwin 2017-09-08 14:24:25 UTC
The updated console vertical navigation now displays a scrollbar when content is taller than the viewport. see screenshot

Comment 11 Steve Goodwin 2017-09-08 14:25:00 UTC
Created attachment 1323765 [details]
Vertical nav bar

Comment 12 Steve Goodwin 2017-09-19 18:46:56 UTC
Cause: The left navigation column did not support vertical scrolling.


Consequence: When browser viewport is less than 440 pixels tall and wider than 768 pixels the bottom left navigation link was not accessible.


Fix: The new left navigation column markup supports vertical scrolling.



Result: All left navigation links are accessible at all browser viewport sizes and zoom levels.

Comment 14 XiaochuanWang 2017-10-09 05:57:51 UTC
Created attachment 1336119 [details]
left scroll bar works

Comment 15 XiaochuanWang 2017-10-09 06:00:47 UTC
Left scroll bar works on both Firefox 54 and Chrome 59
Screenshot has been attached.

Verified on:
OpenShift Master:     v3.7.0-0.143.1
Kubernetes Master:    v1.7.0+80709908fd

Comment 19 errata-xmlrpc 2017-11-28 21:51:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3188


Note You need to log in before you can comment on or make changes to this bug.